org.apache.tapestry5.internal.services

## Interface ResourceDigestManager

- All Superinterfaces:
    InvalidationEventHub
  All Known Implementing Classes:
    ResourceDigestManagerImpl

  Deprecated.
  Deprecated in 5.4 with no replacement; see release notes about classpath assets moving to /META-INF/assets/. To be removed in 5.5.

      public interface ResourceDigestManager
      extends InvalidationEventHub

  Caches information about resources on the classpath. In addition, acts as an invalidation hub for any resources for which information is obtained (when any of the resources are changed, invalidation listeners are notified so they can clear their caches). Note that the name and role of this class changed (and diminished) quite a bit in Tapestry 5.3. It is now focused on determining which files require a digest, and which what the digests are for resources. Further, in 5.4, this service has been stripped down to an unused placeholder; it only present to prevent errors where modules have contributed a String extension to protected (even though the service is internal). As of 5.4, all assets have a built-in checksum in the URL directly (in 5.3 and earlier, the URL included the application version number).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDigest(Resource resource)` Deprecated. Returns the digest for the given path.
    `boolean` | `requiresDigest(Resource resource)` Deprecated. Returns true if the path requires that the client URL for the resource include a digest to validate that the client is authorized to access the resource.

    - ### Methods inherited from interface org.apache.tapestry5.services.InvalidationEventHub

      `addInvalidationCallback, addInvalidationListener, clearOnInvalidation`

- - ### Method Detail

    - #### requiresDigest

          boolean requiresDigest(Resource resource)

      Deprecated.
      Returns true if the path requires that the client URL for the resource include a digest to validate that the client is authorized to access the resource. As of 5.4, simply returns false.
      Parameters:
        `resource` -
      Returns:
        true if digest is required for the resource
      See Also:
        `ResourceDigestGenerator.requiresDigest(String)`

    - #### getDigest

          String getDigest(Resource resource)

      Deprecated.
      Returns the digest for the given path. As of 5.4, simple returns null.
      Parameters:
        `resource` -
      Returns:
        the digest, or null if the resource does not exist

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.